it-swarm.dev

Paypal ne peut pas se connecter au serveur Sandbox. Erreur de retour 14077410 (échec de la négociation de l'alerte sslv3)

Le site qui connecte sandbox Paypal fonctionne, jusqu'à récemment

il peut se connecter va curl

mais quand il envoie la demande à la deuxième fois

il montre l'erreur de 

error: 14077410: Routines SSL: SSL23_GET_SERVER_HELLO: Échec de l'établissement de la liaison avec l'alerte sslv3

J'ai essayé quelques références en ligne et mis le cert SSL SHA-256 de celui-ci mais il retourne la même erreur. D'autres suggèrent de passer à TLS au niveau de la connexion curl, mais il se peut que cela ne se produise pas car il y a beaucoup de projets que j'ai gérés.

Avez-vous des suggestions pour connecter le bac à sable Paypal avec SSLv3? Merci pour ton aide. 

 enter image description here

 enter image description here

 enter image description here

19
user3538235

Vous devrez changer la demande cURL pour utiliser TLS 1.2 afin d’utiliser le bac à sable Paypal. Je suis dans le même bateau et malheureusement, il n'y a aucune solution. Ils ont juste activé le changement sur l'environnement du bac à sable il y a quelques jours.

https://devblog.Paypal.com/upcoming-security-changes-notice/

15
0kay

J'ajouterai quelques informations supplémentaires à ce sujet, car la première réponse ne couvre pas vraiment tous les points importants.

Paypal a commencé à mettre en place certaines mises à niveau, le bac à sable requiert désormais TLS 1.2 pour toutes les demandes et les systèmes de production l'exigeront également à partir de juin 2016

Pour supporter cela, vous devrez:

  • Assurez-vous que votre serveur utilise OpenSSL 1.0.1 ou une version ultérieure (c'est-à-dire lorsque la prise en charge de TLS 1.2 a été ajoutée).
    openssl version vous montrera votre numéro de version.

  • Une fois que vous remplissez ce critère, dans votre code PHP, vous pouvez forcer la variable SSLVERSION à TLS 1.2 à l'aide de la commande suivante:

    curl_setopt($curl, CURLOPT_SSLVERSION, 6);
    

Ou, si vous souhaitez une solution moins astucieuse, il est possible que la version correcte de la clé SSL prenne automatiquement effet au cours de la négociation, où le client et le serveur comparent les chiffrements disponibles pour trouver un protocole commun. Vous semblez utiliser PHP + curl, vous aurez donc besoin de PHP 5.5.19+ et de curl 7.29+ pour que cela se produise.

11
Matt O

J'ai un problème similaire avec l'erreur 14077410 et SSL3. J'ai mis à niveau mon serveur PHP de 5.4 à 7.0 et l'erreur disparaît.

0
Tapa Save